Description

A small UX improvement is to use a number input instead of the classic input for the Gantt months field.

Benefits:

- users can select the number of months using the mouse or/and mouse wheel

- it validates the field value client side

- on mobile devices, the numeric keyboard is shown

 gantt_numeric_field.png 

Associated revisions

Revision 17038 - 2017-11-27 01:55 - Go MAEDA

Use number input field instead of text input for Gantt months field (#26869).

Patch by Marius BALTEANU.

History

#1 - 2017-09-12 13:13 - Go MAEDA

- File month-width-firefox@2x.png added

- File month-width-chrome@2x.png added

- Target version set to Candidate for next major release

Thank you for the interesting patch. But I found that the input#months field is too wide in Firefox. Could you add some CSS to adjust the width to your

patch?

Firefox: input#months is too wide

 

Chrome: no problem.
https://developer.mozilla.org/en-US/docs/Web/HTML/Element/input/number


#2 - 2017-09-13 22:55 - Marius BĂLTEANU

- File use_number_input_instead_of_text_input.patch added

Thanks for finding the issue. Attached is the updated patch with the fix.

#3 - 2017-09-13 22:55 - Marius BĂLTEANU

- File deleted (use_number_input_instead_of_text_input.patch)

#4 - 2017-09-14 05:48 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

The width of input#months field looks fine now. Thank you for adjusting it.

Setting target version to 4.1.0.

#5 - 2017-11-27 01:59 - Go MAEDA

- Category changed from UI to Gantt

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

Committed in the trunk. Thank you for improving Redmine.
